Temp Projects - Tasks #11052

Whole sale screen - System not blocking discount even it's exceed the user limit.
07/11/2023 10:52 AM - Rijas P

Status: Closed Start date: 07/11/2023
Priority: Low Due date:

Assignee: Rijas P % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

We set Discount percentage for each Sales rep Role, But in "Whole Sale screen" not preventing discount if exceeds the limit. Kindly
fix it immediate basis. We found 1 invoice they sold to customer below cost.

History

#1 - 07/11/2023 11:43 AM - Peer Thanesh

- Assignee changed from Peer Thanesh to Muhammed Bhahadhusha

Badushah, do a sales on wholesale mode and edit the price below (below allowed discount) and check it is permissible to do the sales.

#2 - 07/11/2023 12:35 PM - Muhammed Bhahadhusha

- Assignee changed from Muhammed Bhahadhusha to Peer Thanesh

yes issue is there.

#3 - 07/13/2023 01:54 PM - Peer Thanesh

- Assignee changed from Peer Thanesh to Rijas P

Rijas,

On whole sale screen, amount edit option is there to fasten the sales entry. In discount popup have the role level validation, so user feels it's takes
time to apply discount. So fasten the entry we introduced the amount edit option in whole-sale sales module (doesn't have any validation).

IF we apply the validation here then there won't be any difference between the discount and this edit options.
In previous version also there is no validation. Maybe you found this because the user gave discount below the prescribed discount percentage.

Hope this will clear your

#4 - 07/15/2023 12:43 PM - Rijas P

- Assignee changed from Rijas P to Peer Thanesh

Dear Thanesh,

The option edit price in Sales screen really fasten the transaction and it's very useful, but we can't allow every users to give full authority on Sales

price. We hope you should fix this for every business scenario. However, in our case, we require the Whole sale screen with Role validation. If you
can't bring the validation while editing price due to chance of slow the transactions, Should be blocked with Pop up while click the checkout.

#5 - 07/25/2023 07:32 PM - Rijas P
Dear Thanesh,
We have to do this customization on this screen, please check with your team about the effort and let us know..

#6 - 07/26/2023 10:06 AM - Peer Thanesh

- Assignee changed from Peer Thanesh to Mohamed Suhail

Already informed Rijas, the purpose of not keeping the validation in the price edit in whole sale screen. But as per his business nature he is asking for
an option to keep the validation on the time of check out. Please advise.
I think, Instead of whole sale screen, let them use the normal sale screen.

#7 - 07/28/2023 07:55 PM - Mohamed Suhail
- Assignee changed from Mohamed Suhail to Sahla T V
Peer Thanesh wrote:
Already informed Rijas, the purpose of not keeping the validation in the price edit in whole sale screen. But as per his business nature he is

asking for an option to keep the validation on the time of check out. Please advise.
| think, Instead of whole sale screen, let them use the normal sale screen.

@sahla can you please do an effort estimate to implement the discount checking in the whole sales screen

#8 - 08/07/2023 08:40 PM - Sahla T V

Mohamed Suhail wrote:
Peer Thanesh wrote:
Already informed Rijas, the purpose of not keeping the validation in the price edit in whole sale screen. But as per his business nature he is

asking for an option to keep the validation on the time of check out. Please advise.
| think, Instead of whole sale screen, let them use the normal sale screen.

@sahla can you please do an effort estimate to implement the discount checking in the whole sales screen

Dev effort: 3 Days

#9 - 08/07/2023 08:41 PM - Sahla T V
- Assignee changed from Sahla T V to Mohamed Suhail

#10 - 08/07/2023 09:11 PM - Mohamed Suhail

- Assignee changed from Mohamed Suhail to Peer Thanesh

Sahla T V wrote:
Mohamed Suhail wrote:
Peer Thanesh wrote:

Already informed Rijas, the purpose of not keeping the validation in the price edit in whole sale screen. But as per his business nature
he is asking for an option to keep the validation on the time of check out. Please advise.
| think, Instead of whole sale screen, let them use the normal sale screen.

@sahla can you please do an effort estimate to implement the discount checking in the whole sales screen

Dev effort: 3 Days

#11 - 08/10/2023 10:28 AM - Peer Thanesh

- Assignee changed from Peer Thanesh to Rijas P

#12 - 08/10/2023 05:32 PM - Rijas P

- Priority changed from Immediate to Low

Dear Suhail/ Thanesh,

We have come up with another way to ignore this problem. We will attempt "block selling below cost based on Default PL". If this is not working as
expected, we will get back to you to make the changes on this screen.

#13 - 08/25/2023 10:56 AM - Rijas P

- Status changed from New to Closed

It's working as expected

#14 - 05/21/2024 04:05 PM - SHAIJAL EDAVANA

- Tracker changed from Bug to Tasks
- Project changed from Euro Novelties to Temp Projects

- Category deleted (Others)

Files

WhatsApp Image 2023-07-07 at 5.58.38 PM.jpeg 150 KB 07/11/2023 Rijas P

12/31/2025 3/3


http://www.tcpdf.org

